Bug 320688 - KDevelop crashes when selecting the kdevfilemanager plugin and clicking apply
Summary: KDevelop crashes when selecting the kdevfilemanager plugin and clicking apply
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Applications
Component: general (show other bugs)
Version: 4.5.1
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: 4.3.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-04 01:10 UTC by apc
Modified: 2013-06-13 00:44 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description apc 2013-06-04 01:10:23 UTC
Application: kdevelop (4.5.1)
KDE Platform Version: 4.10.3 (Compiled from sources)
Qt Version: 4.8.2
Operating System: Linux 3.5.0-27-generic x86_64
Distribution: Ubuntu 12.04.2 LTS

-- Information about the crash:
- What I was doing when the application crashed:

Kdevelop crashes after selecting the KDE File Manager plugin and clicking apply. Although all plugins are selected I don't see them. However, unselecting the plugin clicking apply and selecting and clicking apply seems to remedy it. This crash happens while doing the procedure for hte KDE File Manager Plugin. It does not happen with the other plugins.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fa301b2f780 (LWP 4811))]

Thread 15 (Thread 0x7fa2f7f6f700 (LWP 4812)):
#0  0x00007fa3110b4313 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fa30b61a036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa30b61a49a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fa2f7f7498b in ?? () from /usr/lib/x86_64-linux-gnu/gio/modules/libdconfsettings.so
#4  0x00007fa30b63b9e5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fa3101a2e9a in start_thread (arg=0x7fa2f7f6f700) at pthread_create.c:308
#6  0x00007fa3110bfccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7fa2f776e700 (LWP 4813)):
#0  0x00007fa3110b4313 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fa30b61a036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa30b61a49a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fa2fe883406 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007fa30b63b9e5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fa3101a2e9a in start_thread (arg=0x7fa2f776e700) at pthread_create.c:308
#6  0x00007fa3110bfccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fa2e4572700 (LWP 4823)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:215
#1  0x00007fa3123d750f in wait (time=1000, this=0x3091a50) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x3031d20, time=1000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fa30e24c2fb in KDevelop::DUChainPrivate::CleanupThread::run (this=0x3031d00) at /media/Softwares/Downloads/Compressed/kdevplatform/language/duchain/duchain.cpp:282
#4  0x00007fa3123d709b in QThreadPrivate::start (arg=0x3031d00) at thread/qthread_unix.cpp:307
#5  0x00007fa3101a2e9a in start_thread (arg=0x7fa2e4572700) at pthread_create.c:308
#6  0x00007fa3110bfccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fa2cf302700 (LWP 4826)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa30d5b4222 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007fa30d5b4259 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007fa3101a2e9a in start_thread (arg=0x7fa2cf302700) at pthread_create.c:308
#4  0x00007fa3110bfccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fa2cb68b700 (LWP 4839)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa30828adec in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007fa30828af19 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007fa3101a2e9a in start_thread (arg=0x7fa2cb68b700) at pthread_create.c:308
#4  0x00007fa3110bfccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fa2cbe8c700 (LWP 4840)):
#0  0x00007fa3110b4313 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fa30b61a036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa30b61a164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fa312505926 in QEventDispatcherGlib::processEvents (this=0x7fa2c4002b00, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fa3124d4e62 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fa3124d50b7 in QEventLoop::exec (this=0x7fa2cbe8be00, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fa3123d4077 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007fa3123d709b in QThreadPrivate::start (arg=0x475c510) at thread/qthread_unix.cpp:307
#8  0x00007fa3101a2e9a in start_thread (arg=0x7fa2cbe8c700) at pthread_create.c:308
#9  0x00007fa3110bfccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fa2c9268700 (LWP 4874)):
#0  0x00007fa31242dc7a in do_gettime (frac=0x7fa2c9267bc8, sec=0x7fa2c9267bc0) at tools/qelapsedtimer_unix.cpp:123
#1  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#2  0x00007fa31250608d in QTimerInfoList::updateCurrentTime (this=0x7fa278002460) at kernel/qeventdispatcher_unix.cpp:343
#3  0x00007fa3125063c3 in QTimerInfoList::timerWait (this=0x7fa278002460, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#4  0x00007fa312504e7c in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7fa2c9267c9c) at kernel/qeventdispatcher_glib.cpp:136
#5  0x00007fa312504f25 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#6  0x00007fa30b619846 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007fa30b619f5b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007fa30b61a164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007fa312505926 in QEventDispatcherGlib::processEvents (this=0x7fa2780008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#10 0x00007fa3124d4e62 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#11 0x00007fa3124d50b7 in QEventLoop::exec (this=0x7fa2c9267e00, flags=...) at kernel/qeventloop.cpp:204
#12 0x00007fa3123d4077 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#13 0x00007fa3123d709b in QThreadPrivate::start (arg=0x5b73780) at thread/qthread_unix.cpp:307
#14 0x00007fa3101a2e9a in start_thread (arg=0x7fa2c9268700) at pthread_create.c:308
#15 0x00007fa3110bfccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#16 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fa27ef86700 (LWP 4875)):
#0  0x00007fa3101a4f57 in __pthread_mutex_lock (mutex=0x7fa270000a60) at pthread_mutex_lock.c:89
#1  0x00007fa30b6555a1 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa30b619ff1 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fa30b61a164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fa312505926 in QEventDispatcherGlib::processEvents (this=0x7fa2700008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007fa3124d4e62 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007fa3124d50b7 in QEventLoop::exec (this=0x7fa27ef85e00, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007fa3123d4077 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007fa3123d709b in QThreadPrivate::start (arg=0x5ba9da0) at thread/qthread_unix.cpp:307
#9  0x00007fa3101a2e9a in start_thread (arg=0x7fa27ef86700) at pthread_create.c:308
#10 0x00007fa3110bfccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fa2c8a67700 (LWP 4880)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa3123d75ab in wait (time=18446744073709551615, this=0x2171260) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x21710b0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fa308ede0eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2170ee0, th=0x5b8f760) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fa308ee09db in ThreadWeaver::WorkingHardState::applyForWork (this=0x2171110, th=0x5b8f760) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fa308ee09f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2171110, th=0x5b8f760) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fa308ee09f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2171110, th=0x5b8f760) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007fa308edf84f in ThreadWeaver::ThreadRunHelper::run (this=0x7fa2c8a66e20, parent=0x2170ee0, th=0x5b8f760) at ../../../threadweaver/Weaver/Thread.cpp:87
#8  0x00007fa308edf8db in ThreadWeaver::Thread::run (this=0x5b8f760) at ../../../threadweaver/Weaver/Thread.cpp:142
#9  0x00007fa3123d709b in QThreadPrivate::start (arg=0x5b8f760) at thread/qthread_unix.cpp:307
#10 0x00007fa3101a2e9a in start_thread (arg=0x7fa2c8a67700) at pthread_create.c:308
#11 0x00007fa3110bfccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fa27e785700 (LWP 4881)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa3123d75ab in wait (time=18446744073709551615, this=0x2171260) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x21710b0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fa308ede0eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2170ee0, th=0x7fa274002e50) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fa308ee09db in ThreadWeaver::WorkingHardState::applyForWork (this=0x2171110, th=0x7fa274002e50) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fa308edf84f in ThreadWeaver::ThreadRunHelper::run (this=0x7fa27e784e20, parent=0x2170ee0, th=0x7fa274002e50) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007fa308edf8db in ThreadWeaver::Thread::run (this=0x7fa274002e50) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007fa3123d709b in QThreadPrivate::start (arg=0x7fa274002e50) at thread/qthread_unix.cpp:307
#8  0x00007fa3101a2e9a in start_thread (arg=0x7fa27e785700) at pthread_create.c:308
#9  0x00007fa3110bfccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fa27df84700 (LWP 4882)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa3123d75ab in wait (time=18446744073709551615, this=0x2171260) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x21710b0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fa308ede0eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2170ee0, th=0x5b73460) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fa308ee09db in ThreadWeaver::WorkingHardState::applyForWork (this=0x2171110, th=0x5b73460) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fa308edf84f in ThreadWeaver::ThreadRunHelper::run (this=0x7fa27df83e20, parent=0x2170ee0, th=0x5b73460) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007fa308edf8db in ThreadWeaver::Thread::run (this=0x5b73460) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007fa3123d709b in QThreadPrivate::start (arg=0x5b73460) at thread/qthread_unix.cpp:307
#8  0x00007fa3101a2e9a in start_thread (arg=0x7fa27df84700) at pthread_create.c:308
#9  0x00007fa3110bfccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fa27d783700 (LWP 4883)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa3123d75ab in wait (time=18446744073709551615, this=0x2171260) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x21710b0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fa308ede0eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2170ee0, th=0x7fa268002f30) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fa308ee09db in ThreadWeaver::WorkingHardState::applyForWork (this=0x2171110, th=0x7fa268002f30) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fa308edf84f in ThreadWeaver::ThreadRunHelper::run (this=0x7fa27d782e20, parent=0x2170ee0, th=0x7fa268002f30) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007fa308edf8db in ThreadWeaver::Thread::run (this=0x7fa268002f30) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007fa3123d709b in QThreadPrivate::start (arg=0x7fa268002f30) at thread/qthread_unix.cpp:307
#8  0x00007fa3101a2e9a in start_thread (arg=0x7fa27d783700) at pthread_create.c:308
#9  0x00007fa3110bfccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fa27cf82700 (LWP 4886)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa3123d75ab in wait (time=18446744073709551615, this=0x2171260) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x21710b0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fa308ede0eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2170ee0, th=0x5afccc0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fa308ee09db in ThreadWeaver::WorkingHardState::applyForWork (this=0x2171110, th=0x5afccc0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fa308edf84f in ThreadWeaver::ThreadRunHelper::run (this=0x7fa27cf81e20, parent=0x2170ee0, th=0x5afccc0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007fa308edf8db in ThreadWeaver::Thread::run (this=0x5afccc0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007fa3123d709b in QThreadPrivate::start (arg=0x5afccc0) at thread/qthread_unix.cpp:307
#8  0x00007fa3101a2e9a in start_thread (arg=0x7fa27cf82700) at pthread_create.c:308
#9  0x00007fa3110bfccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fa2f62d2700 (LWP 4900)):
#0  0x00007fa30b655320 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fa30b655599 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa30b619914 in g_main_context_query () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fa30b619faa in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fa30b61a164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fa312505926 in QEventDispatcherGlib::processEvents (this=0x7fa2ec0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007fa3124d4e62 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fa3124d50b7 in QEventLoop::exec (this=0x7fa2f62d1dd0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fa3123d4077 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007fa3124b4b6f in QInotifyFileSystemWatcherEngine::run (this=0x67f30a0) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007fa3123d709b in QThreadPrivate::start (arg=0x67f30a0) at thread/qthread_unix.cpp:307
#11 0x00007fa3101a2e9a in start_thread (arg=0x7fa2f62d2700) at pthread_create.c:308
#12 0x00007fa3110bfccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fa301b2f780 (LWP 4811)):
[KCrash Handler]
#6  0x00007fa311002425 in __GI_raise (sig=<optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007fa311005b8b in __GI_abort () at abort.c:91
#8  0x00007fa3123cc5db in qt_message_output (msgType=<optimized out>, buf=0x69a23e8 "kdevelop(4811): Accessed invalid KPluginInfo object ") at global/qglobal.cpp:2284
#9  0x00007fa3141ce9dd in ~QDebug (this=0x7ffffd44eee0, __in_chrg=<optimized out>) at /usr/include/qt4/QtCore/qdebug.h:85
#10 ~QDebug (this=0x7ffffd44eee0, __in_chrg=<optimized out>) at ../../kdecore/services/kplugininfo.cpp:297
#11 KPluginInfo::pluginName (this=0x7ffffd44ef70) at ../../kdecore/services/kplugininfo.cpp:299
#12 0x00007fa313ba5a82 in pluginArea (plugin=0x67eb9f0, this=0x1f93830) at /media/Softwares/Downloads/Compressed/kdevplatform/shell/session.cpp:52
#13 KDevelop::Session::pluginDataArea (this=<optimized out>, p=0x67eb9f0) at /media/Softwares/Downloads/Compressed/kdevplatform/shell/session.cpp:105
#14 0x00007fa2d7d72618 in BookmarkHandler::BookmarkHandler (this=0x675c250, parent=0x66fafb0, kpopupmenu=<optimized out>) at /media/Softwares/Downloads/Compressed/kdevplatform/plugins/filemanager/bookmarkhandler.cpp:43
#15 0x00007fa2d7d70b30 in FileManager::setupActions (this=0x66fafb0) at /media/Softwares/Downloads/Compressed/kdevplatform/plugins/filemanager/filemanager.cpp:131
#16 0x00007fa2d7d714e2 in FileManager::FileManager (this=0x66fafb0, plugin=<optimized out>, parent=<optimized out>) at /media/Softwares/Downloads/Compressed/kdevplatform/plugins/filemanager/filemanager.cpp:84
#17 0x00007fa2d7d70075 in KDevFileManagerViewFactory::create (this=0x68699e0, parent=0x66762f0) at /media/Softwares/Downloads/Compressed/kdevplatform/plugins/filemanager/kdevfilemanagerplugin.cpp:46
#18 0x00007fa312ed3966 in Sublime::View::widget (this=0x599d3c0, parent=<optimized out>) at /media/Softwares/Downloads/Compressed/kdevplatform/sublime/view.cpp:82
#19 0x00007fa312eda317 in Sublime::IdealController::addView (this=0x1f8b2d0, area=Qt::LeftDockWidgetArea, view=0x599d3c0) at /media/Softwares/Downloads/Compressed/kdevplatform/sublime/ideal.cpp:591
#20 0x00007fa312ece52e in Sublime::MainWindowPrivate::IdealToolViewCreator::operator() (this=0x7ffffd44f6c0, view=0x599d3c0, position=<optimized out>) at /media/Softwares/Downloads/Compressed/kdevplatform/sublime/mainwindow_p.cpp:246
#21 0x00007fa312ed2865 in Sublime::Area::walkToolViews<Sublime::MainWindowPrivate::IdealToolViewCreator> (this=0x1f9d390, op=..., positions=...) at /media/Softwares/Downloads/Compressed/kdevplatform/sublime/areawalkers.h:59
#22 0x00007fa312ece58d in Sublime::MainWindowPrivate::toolViewAdded (this=<optimized out>, position=<optimized out>) at /media/Softwares/Downloads/Compressed/kdevplatform/sublime/mainwindow_p.cpp:648
#23 0x00007fa3124ea781 in QMetaObject::activate (sender=0x1f9d390, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7ffffd44f820) at kernel/qobject.cpp:3547
#24 0x00007fa312ebb450 in Sublime::Area::toolViewAdded (this=<optimized out>, _t1=0x599d3c0, _t2=Sublime::Left) at /media/Softwares/Downloads/Compressed/kdevplatform-build/sublime/area.moc:150
#25 0x00007fa312ebcdbe in Sublime::Area::addToolView (this=0x1f9d390, view=0x599d3c0, defaultPosition=<optimized out>) at /media/Softwares/Downloads/Compressed/kdevplatform/sublime/area.cpp:234
#26 0x00007fa313b63448 in KDevelop::UiController::addToolViewToArea (this=0x1f5c040, factory=0x68699e0, doc=<optimized out>, area=0x1f9d390, p=<optimized out>) at /media/Softwares/Downloads/Compressed/kdevplatform/shell/uicontroller.cpp:639
#27 0x00007fa313b645f6 in KDevelop::UiController::addToolView (this=0x1f5c040, name=..., factory=0x68699e0) at /media/Softwares/Downloads/Compressed/kdevplatform/shell/uicontroller.cpp:346
#28 0x00007fa2d7d6fe66 in KDevFileManagerPlugin::init (this=<optimized out>) at /media/Softwares/Downloads/Compressed/kdevplatform/plugins/filemanager/kdevfilemanagerplugin.cpp:87
#29 0x00007fa2d7d6ffab in KDevFileManagerPlugin::KDevFileManagerPlugin (this=0x67eb9f0, parent=0x1f31110) at /media/Softwares/Downloads/Compressed/kdevplatform/plugins/filemanager/kdevfilemanagerplugin.cpp:81
#30 0x00007fa2d7d70167 in KPluginFactory::createInstance<KDevFileManagerPlugin, QObject> (parentWidget=<optimized out>, parent=<optimized out>, args=...) at /usr/include/kpluginfactory.h:477
#31 0x00007fa3142579e1 in KPluginFactory::create (this=0x3936d90, iface=0x7fa313e2b9a0 "KDevelop::IPlugin", parentWidget=0x0, parent=0x1f31110, args=..., keyword=...) at ../../kdecore/util/kpluginfactory.cpp:203
#32 0x00007fa313b59315 in create<KDevelop::IPlugin> (parent=0x1f31110, this=0x3936d90, args=..., keyword=..., parentWidget=0x0) at /usr/include/kpluginfactory.h:531
#33 createInstance<KDevelop::IPlugin> (error=0x7ffffd44fe10, args=..., parent=0x1f31110, parentWidget=0x0, this=0x670b320) at /usr/include/KDE/../kservice.h:559
#34 createInstanceFromQuery<KDevelop::IPlugin> (error=0x7ffffd44fe10, args=..., constraint=..., parent=0x1f31110, parentWidget=0x0, serviceType=...) at /usr/include/KDE/../kservicetypetrader.h:186
#35 createInstanceFromQuery<KDevelop::IPlugin> (error=0x7ffffd44fe10, args=..., parent=0x1f31110, constraint=..., serviceType=...) at /usr/include/KDE/../kservicetypetrader.h:157
#36 KDevelop::PluginController::loadPluginInternal (this=0x2021320, pluginId=...) at /media/Softwares/Downloads/Compressed/kdevplatform/shell/plugincontroller.cpp:436
#37 0x00007fa313b5ae65 in KDevelop::PluginController::updateLoadedPlugins (this=0x2021320) at /media/Softwares/Downloads/Compressed/kdevplatform/shell/plugincontroller.cpp:673
#38 0x00007fa25f7dc09a in KDevelop::PluginPreferences::save (this=0x670b4a0) at /media/Softwares/Downloads/Compressed/kdevplatform/shell/settings/pluginpreferences.cpp:105
#39 0x00007fa30eca6997 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
#40 0x00007fa30eca3890 in KCMultiDialogPrivate::apply (this=<optimized out>) at ../../kutils/kcmultidialog.cpp:300
#41 0x00007fa3124ea781 in QMetaObject::activate (sender=0x7ffffd451f00, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#42 0x00007fa3129bb45e in KDialog::slotButtonClicked (this=0x7ffffd451f00, button=8) at ../../kdeui/dialogs/kdialog.cpp:888
#43 0x00007fa3129bb9a4 in qt_static_metacall (_a=<optimized out>, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at ./kdialog.moc:167
#44 KDialog::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at ./kdialog.moc:127
#45 0x00007fa3124ea781 in QMetaObject::activate (sender=0x38fcb80, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7ffffd4507d0) at kernel/qobject.cpp:3547
#46 0x00007fa3124f203e in QSignalMapper::mapped (this=<optimized out>, _t1=8) at .moc/release-shared/moc_qsignalmapper.cpp:115
#47 0x00007fa3124f25db in QSignalMapper::map (this=0x38fcb80, sender=0x3b4ec70) at kernel/qsignalmapper.cpp:266
#48 0x00007fa3124ea781 in QMetaObject::activate (sender=0x3b4ec70, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7ffffd450960) at kernel/qobject.cpp:3547
#49 0x00007fa311ee8432 in QAbstractButton::clicked (this=<optimized out>, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:220
#50 0x00007fa311c25ece in QAbstractButtonPrivate::emitClicked (this=<optimized out>) at widgets/qabstractbutton.cpp:548
#51 0x00007fa311c2720b in QAbstractButtonPrivate::click (this=0x66dc180) at widgets/qabstractbutton.cpp:541
#52 0x00007fa311c2747c in QAbstractButton::mouseReleaseEvent (this=0x3b4ec70, e=0x7ffffd451230) at widgets/qabstractbutton.cpp:1123
#53 0x00007fa3118a7fb4 in QWidget::event (this=0x3b4ec70, event=0x7ffffd451230) at kernel/qwidget.cpp:8371
#54 0x00007fa3118577b4 in notify_helper (e=0x7ffffd451230, receiver=0x3b4ec70, this=0x1ca84a0) at kernel/qapplication.cpp:4556
#55 QApplicationPrivate::notify_helper (this=0x1ca84a0, receiver=0x3b4ec70, e=0x7ffffd451230) at kernel/qapplication.cpp:4528
#56 0x00007fa31185cf2f in QApplication::notify (this=<optimized out>, receiver=0x3b4ec70, e=0x7ffffd451230) at kernel/qapplication.cpp:4099
#57 0x00007fa312a66006 in KApplication::notify (this=0x7ffffd452f20, receiver=0x3b4ec70, event=0x7ffffd451230) at ../../kdeui/kernel/kapplication.cpp:311
#58 0x00007fa3124d632c in QCoreApplication::notifyInternal (this=0x7ffffd452f20, receiver=0x3b4ec70, event=0x7ffffd451230) at kernel/qcoreapplication.cpp:915
#59 0x00007fa311858782 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#60 QApplicationPrivate::sendMouseEvent (receiver=0x3b4ec70, event=0x7ffffd451230, alienWidget=0x3b4ec70, nativeWidget=0x7ffffd451f00, buttonDown=0x3b4ec70, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3167
#61 0x00007fa3118d7b15 in QETWidget::translateMouseEvent (this=0x7ffffd451f00, event=<optimized out>) at kernel/qapplication_x11.cpp:4617
#62 0x00007fa3118d6ace in QApplication::x11ProcessEvent (this=0x7ffffd452f20, event=0x7ffffd451b00) at kernel/qapplication_x11.cpp:3732
#63 0x00007fa311900052 in x11EventSourceDispatch (s=0x1caaf20, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#64 0x00007fa30b619d53 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#65 0x00007fa30b61a0a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#66 0x00007fa30b61a164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#67 0x00007fa3125058bf in QEventDispatcherGlib::processEvents (this=0x1ca8430, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#68 0x00007fa3118ffcde in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#69 0x00007fa3124d4e62 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#70 0x00007fa3124d50b7 in QEventLoop::exec (this=0x7ffffd451ea0, flags=...) at kernel/qeventloop.cpp:204
#71 0x00007fa311d27f86 in QDialog::exec (this=0x7ffffd451f00) at dialogs/qdialog.cpp:554
#72 0x00007fa313b65ee9 in KDevelop::UiController::showSettingsDialog (this=<optimized out>) at /media/Softwares/Downloads/Compressed/kdevplatform/shell/uicontroller.cpp:465
#73 0x00007fa313b55bba in qt_static_metacall (_a=<optimized out>, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at /media/Softwares/Downloads/Compressed/kdevplatform-build/shell/mainwindow_p.moc:123
#74 KDevelop::MainWindowPrivate::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /media/Softwares/Downloads/Compressed/kdevplatform-build/shell/mainwindow_p.moc:100
#75 0x00007fa3124ea781 in QMetaObject::activate (sender=0x1fa1930, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7ffffd452180) at kernel/qobject.cpp:3547
#76 0x00007fa311851072 in QAction::triggered (this=<optimized out>, _t1=false) at .moc/release-shared/moc_qaction.cpp:277
#77 0x00007fa31185125f in QAction::activate (this=0x1fa1930, event=<optimized out>) at kernel/qaction.cpp:1257
#78 0x00007fa3124ef946 in QObject::event (this=0x1fa1930, e=<optimized out>) at kernel/qobject.cpp:1195
#79 0x00007fa311851330 in event (e=<optimized out>, this=<optimized out>) at kernel/qaction.cpp:1187
#80 QAction::event (this=<optimized out>, e=<optimized out>) at kernel/qaction.cpp:1172
#81 0x00007fa31297cc5a in KAction::event (this=<optimized out>, event=0x6789360) at ../../kdeui/actions/kaction.cpp:131
#82 0x00007fa3118577b4 in notify_helper (e=0x6789360, receiver=0x1fa1930, this=0x1ca84a0) at kernel/qapplication.cpp:4556
#83 QApplicationPrivate::notify_helper (this=0x1ca84a0, receiver=0x1fa1930, e=0x6789360) at kernel/qapplication.cpp:4528
#84 0x00007fa31185c583 in QApplication::notify (this=0x7ffffd452f20, receiver=0x1fa1930, e=0x6789360) at kernel/qapplication.cpp:4417
#85 0x00007fa312a66006 in KApplication::notify (this=0x7ffffd452f20, receiver=0x1fa1930, event=0x6789360) at ../../kdeui/kernel/kapplication.cpp:311
#86 0x00007fa3124d632c in QCoreApplication::notifyInternal (this=0x7ffffd452f20, receiver=0x1fa1930, event=0x6789360) at kernel/qcoreapplication.cpp:915
#87 0x00007fa3124da10a in sendEvent (event=0x6789360, receiver=0x1fa1930) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#88 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x1bf1670) at kernel/qcoreapplication.cpp:1539
#89 0x00007fa312505493 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#90 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:279
#91 0x00007fa30b619d53 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#92 0x00007fa30b61a0a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#93 0x00007fa30b61a164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#94 0x00007fa3125058bf in QEventDispatcherGlib::processEvents (this=0x1ca8430, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#95 0x00007fa3118ffcde in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#96 0x00007fa3124d4e62 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#97 0x00007fa3124d50b7 in QEventLoop::exec (this=0x7ffffd452bb0, flags=...) at kernel/qeventloop.cpp:204
#98 0x00007fa3124da407 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#99 0x000000000040e790 in main (argc=<optimized out>, argv=<optimized out>) at /media/Softwares/Downloads/Compressed/kdevelop/app/main.cpp:522

Possible duplicates by query: bug 318467, bug 314342, bug 306037, bug 301897.

Reported using DrKonqi
Comment 1 apc 2013-06-04 03:35:07 UTC
UDATE:
I am now able to find all the plugins in their proper place in KDevelop after I did the following.

1. Removed kdebase-bin, kde-baseapps-bin, kde-baseapps-data.
2. Removed kdebase-apps (with all the respective base apps)
3. Deleting the kdeveloprc file from the config folder under .kde4
4. Recompile and reinstall kdevplatform and kdevelop.

I'm not sure which fixed the problem but I'm suspecting step 4.

Leaving it open.
Comment 2 Aleix Pol 2013-06-13 00:44:54 UTC
Git commit e85e6380ab36c1bd53ee92fea11431bc6b26d6b7 by Aleix Pol.
Committed on 13/06/2013 at 02:42.
Pushed by apol into branch 'master'.

Fix crash when re-loading the file manager plugin

It was requesting the KPluginInfo before having it added to the
plugin controller and it was crashing. This patch delays the UI
registering. We're not in a hurry to do that anyway.

M  +1    -1    plugins/filemanager/kdevfilemanagerplugin.cpp

http://commits.kde.org/kdevplatform/e85e6380ab36c1bd53ee92fea11431bc6b26d6b7